> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List your voice channels for US Zone

> Returns the US Zone voice channels for your account. voice channels allows you to use Channel Billing for calls to your Telnyx phone numbers. Please check the <a href="https://support.telnyx.com/en/articles/8428806-global-channel-billing">Telnyx Support Articles</a> section for full information and examples of how to utilize Channel Billing.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/numbers-identity/voice-channels.yml get /inbound_channels
openapi: 3.1.0
info:
  title: Telnyx Voice Channels API
  version: 2.0.0
  description: API for Voice Channels.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /inbound_channels:
    get:
      tags:
        - Voice Channels
      summary: List your voice channels for US Zone
      description: >-
        Returns the US Zone voice channels for your account. voice channels
        allows you to use Channel Billing for calls to your Telnyx phone
        numbers. Please check the <a
        href="https://support.telnyx.com/en/articles/8428806-global-channel-billing">Telnyx
        Support Articles</a> section for full information and examples of how to
        utilize Channel Billing.
      operationId: ListInboundChannels
      responses:
        '200':
          description: voice channels Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      channels:
                        type: integer
                        description: >-
                          The current number of concurrent channels set for the
                          account
                        example: 7
                      record_type:
                        description: Identifies the type of the response
                        type: string
                        example: inbound_channels
        '401':
          description: Unauthorized
        '404':
          description: Resource not found
        '422':
          description: Unprocessable entity. Check message field in response for details.
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Telnyx from 'telnyx';

            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });

            const inboundChannels = await client.inboundChannels.list();

            console.log(inboundChannels.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            inbound_channels = client.inbound_channels.list()
            print(inbound_channels.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tinboundChannels, err := client.InboundChannels.List(context.TODO())\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", inboundChannels.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.inboundchannels.InboundChannelListParams;

            import
            com.telnyx.sdk.models.inboundchannels.InboundChannelListResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    InboundChannelListResponse inboundChannels = client.inboundChannels().list();
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            inbound_channels = telnyx.inbound_channels.list

            puts(inbound_channels)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $inboundChannels = $client->inboundChannels->list();

              var_dump($inboundChannels);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx inbound-channels list \
              --api-key 'My API Key'
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````